;$(function(){

    //wow.js??????
    $('.animate-father').filter(function(){
        var sChil = $(this).attr('data-child'),
            sEffect = $(this).attr('data-effect'),
            sDelay = Number($(this).attr('data-delay')),
            initDelay = 0;
        $(this).find(sChil).addClass('wow').addClass(sEffect);
        $(this).find(sChil).filter(function(){
            initDelay+=sDelay;
            $(this).attr('data-wow-delay',initDelay+'s');
        });
    });

    new WOW().init();

    $('.side-top a').filter(function () {
        if ($(this).html() == $('.bread-crumbs span').html()) {
            $(this).addClass('active');
        }
    });


    var dropLi = $('.menu>li');
    dropLi.hover(function () {
        var subMenu = $(this).find('.sub-menu');
        subMenu.stop(true, false).slideDown(300);
    }, function () {
        var subMenu = $(this).find('.sub-menu');
        subMenu.stop(true, false).slideUp(200);
    });
    var oSerBtn = $('.h-search'),
        oSerBox = $('.search-box'),
        oSerClose = oSerBox.find('.close');
    oSerBtn.click(function() {
        oSerBox.fadeIn(200);
    });
    oSerClose.click(function() {
        oSerBox.hide();
    });


    //*************mobile-header*************//

    $( '.menubtn' ).on('click', function(e) {

        e.stopPropagation();

        $(this).toggleClass('active');

        $(".navigateli >li").removeClass('on');

        $(".menudowns").hide();

        if($(this).hasClass('active')){

            $(".navigate").animate({'left':0},400);

            $('.sideLayer').fadeIn(200);

        }else{

            $(".navigate").animate({'left':'-100%'},400);

            $('.sideLayer').hide();

        }

        $('.navigateli .fa').removeClass('fa-chevron-up').addClass('fa-chevron-down');

    });

    $(".navigateli >li >a").on("click", function (e) {

        var $navMobile=$(".navigate"),

            $navA=$navMobile.find(".navigateli >li >a"),

            $mSubnav=$navMobile.find(".menudowns");

        var hjcur = $(this);

        var hjDD = $(this).parents("li");

        if (hjDD.find(".menudowns").size() > 0) {

            if (hjDD.hasClass("on")) {

                $navMobile.slideUp();

                hjDD.find(".menudowns").stop(false, false).slideUp();

                hjDD.removeClass("on");

                $navMobile.slideUp();

            } else {

                $navA.parents('li').removeClass("on");

                $mSubnav.stop(false, false).slideUp();

                hjDD.find(".menudowns").stop(false, false).slideDown();

                hjDD.addClass("on");

                e.preventDefault();

            }

        }

    });

    $(".navigateli >li").filter(function(){

        var subMenu = $(this).find('.menudowns');

        if(subMenu.length){

            var arrDown = $(this).find('.fa');

            arrDown.show();

            $(this).click(function(){

                arrDown.removeClass('fa-chevron-down').addClass('fa-chevron-up');

            });

        }

    });

    $('#inner-head .mb-lan').click(function(){

        $('#inner-head .mb-lanList').slideToggle(400);

    });



    $(document).click( function(e) {

        $('#lanSelBox, .more_lang').removeClass('active');

    });



    $('#lanSelBox .current_lang').click(function(e){

        e.stopPropagation();

        $(this).parent().toggleClass('active');



        setTimeout(function(){

            $('.more_lang').toggleClass('active');

        }, 5);

    });



    $('.mb-lan').click(function () {

        $('.mb-lanList').slideToggle(400);

    });



    
    

});